from setuptools import setup

setup(
    name="trendnet_api",
    version="0.1.6",
    python_requires=">=3.8",
    packages=["trendnet_api"],
    install_requires=[
        "flask_restful",
        "flask_cors",
        "lkb",
        "nlp_framework",
        "trendnet",
    ],
    extras_require={
        "develop": ["black", "pylint", "pytest", "devpi", "requests", "jsonschema"],
        "production": ["gunicorn"],
    },
    entry_points={
        "console_scripts": [
            "start_api = trendnet_api.api:main",
        ]
    },
)
